libnvme(2)

NAME
struct nvme_eom_lane_desc - EOM Lane Descriptor

SYNOPSIS
struct nvme_eom_lane_desc {
__u8 rsvd0;
__u8 mstatus;
__u8 lane;
__u8 eye;
__le16 top;
__le16 bottom;
__le16 left;
__le16 right;
__le16 nrows;
__le16 ncols;
__le16 edlen;
__u8 rsvd18[14];
__u8 eye_desc[];
};

Members

rsvd0
    Reserved

mstatus
    Measurement Status

lane
    Lane number

eye Eye number

top Absolute number of rows from center to top edge of eye

bottom
    Absolute number of rows from center to bottom edge of eye

left
    Absolute number of rows from center to left edge of eye

right
    Absolute number of rows from center to right edge of eye

nrows
    Number of Rows

ncols
    Number of Columns

edlen
    Eye Data Length

rsvd18
    Reserved

eye_desc
    Printable Eye, Eye Data, and any Padding